This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 478236 - MIGRATED_FROM_JIRA: Allow referrals from LDAP sources to be ignored
MIGRATED_FROM_JIRA: Allow referrals from LDAP sources to be ignored
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Unknown (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:11 EST by Chandrasekar Kannan
Modified: 2015-01-04 19:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:11:03 EST
Active Directory creates referrals for its Forest Zones (et. al) when searching. However, some clients are confused by referrals. Penrose 1.1 did not propagate referrals by default. Penrose 1.2 does. Attached patch allows the connection to be configured with the {{ava.naming.referral}} property set to "ignore", in order to suppress the propagation of referrals. If the property is not set, the default is unchanged, i.e. "throw" -> follow referrals.
Additional Comments From jimyang dated Fri Aug 08 10:47:51 CDT 2008 
This is fixed in 2.0RC1.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '4',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {}
                          ],
          'attachmentNames' => 'LDAPClient.patch',
          'reporter' => 'hennejg',
          'key' => 'PENROSE-267',
          'assignee' => 'endisd',
          'summary' => 'Allow referrals from LDAP sources to be ignored',
          'id' => '10882',
          'updated' => '2008-08-08 10:47:51.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2008-04-07 00:00:00.0',
                             'sequence' => '28',
                             'name' => 'Penrose-2.0RC1',
                             'released' => 'true',
                             'id' => '10093',
                             'archived' => 'false'
                           }
                         ],
          'description' => 'Active Directory creates referrals for its Forest Zones (et. al) when searching. However, some clients are confused by referrals. Penrose 1.1 did not propagate referrals by default. Penrose 1.2 does. Attached patch allows the connection to be configured with the {{ava.naming.referral}} property set to "ignore", in order to suppress the propagation of referrals. If the property is not set, the default is unchanged, i.e. "throw" -> follow referrals.',
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2007-07-17 00:00:00.0',
                                 'sequence' => '26',
                                 'name' => 'Penrose-1.2.4',
                                 'released' => 'true',
                                 'id' => '10123',
                                 'archived' => 'false'
                               }
                             ],
          'created' => '2007-10-09 11:16:26.0',
          'resolution' => '1',
          'type' => '4'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:11:05 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-267

Note You need to log in before you can comment on or make changes to this bug.